Subject: Re: Assembler problem while trying to integrate D iompiler in GCC suite
From: "Gerrit P. Haase" <[email-masked]>
To: David Friedman <[email-masked]>
Cc: [email-masked]
Date: Tue, 07 Jun 2005 17:42:57 +0200
Newsgroups: D.gnu

David Friedman wrote:
>>> Maybe this is the problem here:
>>> !   && !defined (TARGET_IS_PE_COFF)
>>>
>>>
>>> Is TARGET_IS_PE_COFF defined for Cygwin?
>>
>>
>>
>> Yes it is:
>>
>> #define TARGET_IS_PE_COFF 1
>>
>> Is this wrong in the d-codegen source?  I'kll try what changes if I 
>> include Cygwin:
>> ! #if defined (ASM_OUTPUT_DEF) \
>> !   && (!defined (TARGET_IS_PE_COFF) && !defined(__CYGWIN__))
>>
>>
>> Gerrit
> 
> 
> That check for TARGET_IS_PE_COFF is necessary.  Without it, there is a 
> very nasty code gen bug that won't show up until you run the code.
> 
> This is probably a better test:
> 
> --- d-codegen.cc.orig    Tue Jun  7 14:10:57 2005
> +++ d-codegen.cc    Tue Jun  7 14:11:55 2005
> @@ -1757,7 +1757,7 @@
>    char buf[256];
> 
>  #if defined (TARGET_IS_PE_COFF)
> -  if (DECL_ONE_ONLY (function))
> +  //  if (DECL_ONE_ONLY (function))
>      return function;
>  #endif
> 
> It might break -fpic code generation again, though.  I won't be able to 
> test it until later today, but you can try it yourself by adding "-fpic" 
> to the DFLAGS in Phobos Makefile.

-fpic is totally unsupported on Windows because on Windows everything is
position independat anyway.  I'll try this now.

See you later,
Gerrit

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/